<script>
    import {day_width, day_height, xScale, yScale} from "./store.js";
    export let data = {};

    export let yScale_chosen;



    let pathGenerator = (d) => {
       
        let path = "M 0," + yScale_chosen(0);
        
        d.forEach((value, idx) => {
            path += " " + xScale(idx) + ',' + yScale_chosen(value);
        }
        )
        path += " " + xScale(d.length) + ',' + yScale_chosen(0);
        return path;
        
        
    }

    
    

    

</script>

<style>
    
    path {
        stroke: none;
        fill: black;
    
    }
    line {
        stroke: black;
        
    }
   
 
 </style>


 <path d={pathGenerator(data["values"])}/>
 <line x1=0 x2={day_width} y1={day_height} y2={day_height}/>

 
 